You want that line in layer "perps" and color red, yes?
Command PFP.
In a while loop, you select the start point (intersect of the polyline with the white line), then select the other polyline (where the perpendicular line ends)
Repeat.
(vl-load-com)
(defun drawLine (p1 p2 lay col)
(entmakex (list (cons 0 "LINE")
(cons 10 p1)
(cons 11 p2)
(cons 8 lay)
(cons 62 col)
))
)
;; PFP for polyline find perpendicular
(defun c:pfp ( / pl1 pl2 p1 p2)
(while T
;;(setq pl1 (car (entsel "\nSelect Polyline 1 (for startpoint of red line): ")))
(setq p1 (getpoint "\nStartpoint of red line"))
(setq pl2 (car (entsel "\nSelect Polyline 2 (for perpendicular of red line): ")))
(setq p2 (vlax-curve-getClosestPointTo pl2 p1))
(drawLine p1 p2 "perps" 1)
)
(princ)
)
If those green polylines were 1 polyline * on the left, and 1 on the right, this routine could be further automated.
Then you would just select polyline 1 (where the red line starts), select polyline 2, then window select the white lines.
the routine finds the intersect points, and automatically draws all the red lines at once.
(* this can be done with polyline edit -> join)
Is this something you might want as well?